## ros-lunar-libcmt 2.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(libcmt)
include(ExternalProject)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
execute_process(COMMAND
  git config --global http.sslVerify false)
## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)
ExternalProject_Add(
  libcmt
  GIT_REPOSITORY https://github.com/delmottea/libCMT.git
  GIT_TAG e4d7ea42edafe13b1070ef4d595b2d6062d79d1a
  PATCH_COMMAND patch -p1 < ${PROJECT_SOURCE_DIR}/fix_opencv3.patch
  CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
  INSTALL_COMMAND echo "install"
  )

install(CODE "execute_process(COMMAND make install WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/libcmt-prefix/src/libcmt-build)")

=== debian/changelog ===
ros-lunar-libcmt (2.1.11-2stretch) stretch; urgency=high

  * libcmt: opencv2/xfeatures2d.hpp only required between 3.1.0 <= OPENCV_VERSION_CODE < 3.2.0 (#154 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/154>)
  * Contributors: Kei Okada

 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Tue, 28 Aug 2018 15:00:00 -0000

ros-lunar-libcmt (2.1.10-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 15:00:00 -0000

ros-lunar-libcmt (2.1.9-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Mon, 23 Apr 2018 15:00:00 -0000

ros-lunar-libcmt (2.1.8-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Mon, 16 Apr 2018 15:00:00 -0000

ros-lunar-libcmt (2.1.7-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sun, 08 Apr 2018 15:00:00 -0000

ros-lunar-libcmt (2.1.6-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 15:00:00 -0000

ros-lunar-libcmt (2.1.5-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sun, 19 Nov 2017 15:00:00 -0000

ros-lunar-libcmt (2.1.4-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-lunar-libcmt (2.1.3-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Jul 2017 15:00:00 -0000

ros-lunar-libcmt (2.1.2-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Jul 2017 15:00:00 -0000

ros-lunar-libcmt (2.1.1-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Tue, 04 Jul 2017 15:00:00 -0000

ros-lunar-libcmt (2.1.0-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sat, 01 Jul 2017 15:00:00 -0000

ros-lunar-libcmt (2.0.20-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Mon, 08 May 2017 15:00:00 -0000

ros-lunar-libcmt (2.0.19-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-lunar-libcmt (2.0.18-2stretch) stretch; urgency=high

  * add patch to fix opencv3 https://github.com/delmottea/libCMT/pull/18 (#78 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/78>)
  * Contributors: Kei Okada

 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Thu, 27 Oct 2016 15:00:00 -0000

ros-lunar-libcmt (2.0.17-2stretch) stretch; urgency=high

  * addbuildtool_depend
  * Contributors: Kei Okada

 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Fri, 21 Oct 2016 15:00:00 -0000

ros-lunar-libcmt (2.0.16-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Oct 2016 15:00:00 -0000

ros-lunar-libcmt (2.0.15-2stretch) stretch; urgency=high

  * fix libcmt install process
  * Contributors: Kei Okada

 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Oct 2016 15:00:00 -0000

ros-lunar-libcmt (2.0.14-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sat, 19 Mar 2016 15:00:00 -0000

ros-lunar-libcmt (2.0.13-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Mon, 14 Dec 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.12-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.11-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Tue, 06 Oct 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.10-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Tue, 06 Oct 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.9-2stretch) stretch; urgency=high

  * use libopencv-dev instad of opencv2, see #23 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/23>
  * [libcmt] Disable ssl verify before chekingout git project
  * Contributors: Kei Okada, Ryohei Ueda

 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Fri, 25 Sep 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.8-2stretch) stretch; urgency=high

  * [libcmt] Depends on opencv2
  * Contributors: Ryohei Ueda

 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Mon, 14 Sep 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.7-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sun, 13 Sep 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.6-2stretch) stretch; urgency=high

  * [libcmt] add git depend in package.xml
  * [libcmt] Fix email of maintainer
  * Contributors: Ryohei Ueda, Yuto Inagaki

 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Mon, 07 Sep 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.5-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sat, 22 Aug 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.4-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Mon, 17 Aug 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.3-2stretch) stretch; urgency=high

  * Update Changelog
  * [3rdparty] add libcmt
  * Contributors: Ryohei Ueda, Yuto Inagaki
  * [3rdparty] add libcmt
  * Contributors: Yuto Inagaki

 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Fri, 31 Jul 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.2-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sun, 28 Jun 2015 15:00:00 -0000

ros-lunar-libcmt (2.0.1-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Fri, 19 Jun 2015 12:21:00 -0000

ros-lunar-libcmt (2.0.0-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Fri, 19 Jun 2015 01:41:00 -0000

ros-lunar-libcmt (1.0.72-2stretch) stretch; urgency=high



 -- Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>  Sat, 06 Jun 2015 15:00:00 -0000

ros-lunar-libcmt (1.0.71-2stretch) stretch; urgency=high





=== debian/control ===
Source: ros-lunar-libcmt
Section: misc
Priority: extra
Maintainer: Yuto Inagaki <inagaki@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ca-certificates, cmake, git, libopencv-dev, openssl
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-libcmt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev
Description: libCMT ROS Wrapper

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-libcmt//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
